package org.gcube.portlet.user.userstatisticsportlet.client.ui;

import com.google.gwt.core.client.GWT;
import com.google.gwt.resources.client.ResourcePrototype;

public class CommentsAndLikesWidget_CommentsAndLikesWidgetUiBinderImpl_GenBundle_default_InlineClientBundleGenerator implements org.gcube.portlet.user.userstatisticsportlet.client.ui.CommentsAndLikesWidget_CommentsAndLikesWidgetUiBinderImpl_GenBundle {
  private static CommentsAndLikesWidget_CommentsAndLikesWidgetUiBinderImpl_GenBundle_default_InlineClientBundleGenerator _instance0 = new CommentsAndLikesWidget_CommentsAndLikesWidgetUiBinderImpl_GenBundle_default_InlineClientBundleGenerator();
  private void styleInitializer() {
    style = new org.gcube.portlet.user.userstatisticsportlet.client.ui.CommentsAndLikesWidget_CommentsAndLikesWidgetUiBinderImpl_GenCss_style() {
      private boolean injected;
      public boolean ensureInjected() {
        if (!injected) {
          injected = true;
          com.google.gwt.dom.client.StyleInjector.inject(getText());
          return true;
        }
        return false;
      }
      public String getName() {
        return "style";
      }
      public String getText() {
        return (".GBE-UDYCEI{display:" + ("inline-block")  + ";vertical-align:" + ("bottom")  + ";}.GBE-UDYCFI{color:" + ("#0084b4")  + " !important;font-size:" + ("13px")  + ";display:" + ("inline-block")  + ";vertical-align:" + ("bottom")  + ";}");
      }
      public java.lang.String statisticIcon() {
        return "GBE-UDYCEI";
      }
      public java.lang.String statisticValue() {
        return "GBE-UDYCFI";
      }
    }
    ;
  }
  private static class styleInitializer {
    static {
      _instance0.styleInitializer();
    }
    static org.gcube.portlet.user.userstatisticsportlet.client.ui.CommentsAndLikesWidget_CommentsAndLikesWidgetUiBinderImpl_GenCss_style get() {
      return style;
    }
  }
  public org.gcube.portlet.user.userstatisticsportlet.client.ui.CommentsAndLikesWidget_CommentsAndLikesWidgetUiBinderImpl_GenCss_style style() {
    return styleInitializer.get();
  }
  private static java.util.HashMap<java.lang.String, com.google.gwt.resources.client.ResourcePrototype> resourceMap;
  private static org.gcube.portlet.user.userstatisticsportlet.client.ui.CommentsAndLikesWidget_CommentsAndLikesWidgetUiBinderImpl_GenCss_style style;
  
  public ResourcePrototype[] getResources() {
    return new ResourcePrototype[] {
      style(), 
    };
  }
  public ResourcePrototype getResource(String name) {
    if (GWT.isScript()) {
      return getResourceNative(name);
    } else {
      if (resourceMap == null) {
        resourceMap = new java.util.HashMap<java.lang.String, com.google.gwt.resources.client.ResourcePrototype>();
        resourceMap.put("style", style());
      }
      return resourceMap.get(name);
    }
  }
  private native ResourcePrototype getResourceNative(String name) /*-{
    switch (name) {
      case 'style': return this.@org.gcube.portlet.user.userstatisticsportlet.client.ui.CommentsAndLikesWidget_CommentsAndLikesWidgetUiBinderImpl_GenBundle::style()();
    }
    return null;
  }-*/;
}
